# Interface JmolScriptManager

All Known Implementing Classes:
  `ScriptManager`

public interface JmolScriptManager

## Method Summary

Modifier and Type
Method
Description
`BS`
`addHydrogensInline(BS bsAtoms, Lst<Atom> vConnections, P3[] pts, Map<String,Object> htParams)`
`boolean`
`checkHalt(String str, boolean isInsert)`
`void`
`clear(boolean isAll)`
`void`
`clearQueue()`
`void`
`evalCallback(String cmd, Object[] params, boolean doWait)`
`String`
`evalFile(String strFilename)`
`String`
`evalFileArgs(String strFilename, String args)`
`String`
`evalStringQuietSync(String strScript, boolean isQuiet, boolean allowSyncScript)`
`Object`
`evalStringWaitStatusQueued(String returnType, String strScript, String statusList, boolean isQuiet, boolean isQueued)`
`BS`
`getAtomBitSetEval(JmolScriptEvaluator eval, Object atomExpression)`
`Lst<Object>`
`getScriptItem(boolean b, boolean startedByCommandThread)`
`Lst<Lst<Object>>`
`getScriptQueue()`
`boolean`
`isQueueProcessing()`
`boolean`
`isScriptQueued()`
`void`
`queueThreadFinished(int pt)`
`Object`
`scriptCheckRet(String strScript, boolean returnContext)`
`JmolScriptEvaluator`
`setViewer(Viewer vwr)`
`void`
`startCommandWatcher(boolean isStart)`
`void`
`waitForQueue()`

## Method Details

### setViewer

JmolScriptEvaluator setViewer(Viewer vwr)

### startCommandWatcher

void startCommandWatcher(boolean isStart)

### clear

void clear(boolean isAll)

### clearQueue

void clearQueue()

### isScriptQueued

boolean isScriptQueued()

### waitForQueue

void waitForQueue()

### getScriptQueue

Lst<Lst<Object>> getScriptQueue()

### queueThreadFinished

void queueThreadFinished(int pt)

### getScriptItem

Lst<Object> getScriptItem(boolean b, boolean startedByCommandThread)

### evalStringQuietSync

String evalStringQuietSync(String strScript, boolean isQuiet, boolean allowSyncScript)

### evalStringWaitStatusQueued

Object evalStringWaitStatusQueued(String returnType, String strScript, String statusList, boolean isQuiet, boolean isQueued)

### checkHalt

boolean checkHalt(String str, boolean isInsert)

### getAtomBitSetEval

BS getAtomBitSetEval(JmolScriptEvaluator eval, Object atomExpression)

### scriptCheckRet

Object scriptCheckRet(String strScript, boolean returnContext)

### isQueueProcessing

boolean isQueueProcessing()

### evalFile

String evalFile(String strFilename)

### evalFileArgs

String evalFileArgs(String strFilename, String args)

### addHydrogensInline

BS addHydrogensInline(BS bsAtoms, Lst<Atom> vConnections, P3[] pts, Map<String,Object> htParams) throws Exception

Throws:
  `Exception`

### evalCallback

void evalCallback(String cmd, Object[] params, boolean doWait)